#ifndef win32text_h
#define win32text_h

/* Important: this must match the default_text list in win32text.c! */
enum
{
	WIN32_first_entry = -1,

	/* icon explanation */
	WIN32_icon_togglefolderlist,
	WIN32_icon_togglescreenshot,
	WIN32_icon_largeicons,
	WIN32_icon_smallicons,
	WIN32_icon_list,
	WIN32_icon_details,
#ifndef BUILD_ENGLISH
	WIN32_icon_japaneselist,
#endif
	WIN32_icon_The_position,
	WIN32_icon_about,
	WIN32_icon_help,
	WIN32_icon_invalidbutton,

	/* list view column */
	WIN32_columntext_game,
	WIN32_columntext_roms,
	WIN32_columntext_directory,
	WIN32_columntext_trackball,
	WIN32_columntext_played,
	WIN32_columntext_manufacturer,
	WIN32_columntext_year,
	WIN32_columntext_system,
	WIN32_columntext_genre,
	WIN32_columntext_cloneof,

	/* game genre */
	WIN32_genre_other,
	WIN32_genre_action,
	WIN32_genre_shoot,
	WIN32_genre_fight,
	WIN32_genre_race,
	WIN32_genre_sports,
	WIN32_genre_puzzle,
	WIN32_genre_table,
	WIN32_genre_quiz,

	/* page tab */
	WIN32_pagetab_snapshot,
	WIN32_pagetab_flyer,
	WIN32_pagetab_cabinet,
	WIN32_pagetab_marquee,
	WIN32_pagetab_title,

	/* old control warning */
	WIN32_oldcontrol01,
	WIN32_oldcontrol02,
	WIN32_oldcontrol03,
	WIN32_oldcontrol04,
	WIN32_oldcontrol05,
	WIN32_oldcontrol06,
	WIN32_oldcontrol07,
	WIN32_oldcontrol_title,

	/* progress bar */
	WIN32_progressbar_MMX,
	WIN32_progressbar_games,
	WIN32_progressbar_imperfectcolors,
	WIN32_progressbar_gamesearch,

	/* status bar */
	WIN32_statusbar_ready,
	WIN32_statusbar_games,

	/* menu bar */
	WIN32_menubar_disableplay,
	WIN32_menubar_enableplay,
	WIN32_menubar_noselection,

	/* rom state */
	WIN32_romstate_yes,
	WIN32_romstate_no,
	WIN32_romstate_unknown,

	/* track ball */
	WIN32_trackball_yes,
	WIN32_trackball_no,

	/* DirectX help */
	WIN32_directxhelp01,
	WIN32_directxhelp02,
	WIN32_directxhelp03,
	WIN32_directxhelp04,

	/* recording relation */
	WIN32_record_validinp,
	WIN32_record_validinptitle,
	WIN32_record_inpzipfile,
	WIN32_record_inpfile,

	/* loading roms */
	WIN32_loading,
	WIN32_loadingerror,

	/* background image load */
	WIN32_background_file,
	WIN32_background_title,

	/* ColumnEdit.c */
	WIN32_column_cantmoveitem,
	WIN32_column_moveitem,
	WIN32_column_selectnopermit,
	WIN32_column_selectitem,

	/* DIJoystick.c */
	WIN32_dinput_notinitialized,
	WIN32_dinput_enumdevices,
	WIN32_dinput_setproperty,
	WIN32_dinput_deadzone,
	WIN32_dinput_createdevice,
	WIN32_dinput_setcooperativelevel,
	WIN32_dinput_setdataformat,
	WIN32_dinput_enumobjectsaxis,
	WIN32_dinput_enumobjectspovs,
	WIN32_dinput_enumobjectsbutton,
	WIN32_dinput_acquire,

	/* DirectDraw.c */
	WIN32_ddraw_create,
	WIN32_ddraw_queryinterface,
	WIN32_ddraw_getcaps,

	/* DirectInput.c */
	WIN32_dinput_create,

	/* Directories.c */
	WIN32_dir_roms,
	WIN32_dir_config,
	WIN32_dir_setting,
	WIN32_dir_highscore,
	WIN32_dir_snapshots,
	WIN32_dir_icon,
	WIN32_dir_inputfiles,
	WIN32_dir_state,
	WIN32_dir_memorycard,
	WIN32_dir_flyers,
	WIN32_dir_cabinets,
	WIN32_dir_marquees,
	WIN32_dir_titles,
	WIN32_dir_nvram,
	WIN32_dir_wave,
	WIN32_dir_controller,
	WIN32_dir_background,
	WIN32_dir_notfound,
	WIN32_dir_notfoundtitle,
	WIN32_dir_foldername,

	/* M32Util.c */
	WIN32_utility_outofmemory,
	WIN32_utility_notfound,
	WIN32_utility_noassoc,
	WIN32_utility_oom,
	WIN32_utility_pnf,
	WIN32_utility_share,
	WIN32_utility_unknown,

	/* Properties.c */
	WIN32_property_none,
	WIN32_property_scan25,
	WIN32_property_scan50,
	WIN32_property_scan75,
	WIN32_property_scan75v,
	WIN32_property_rgb16,
	WIN32_property_rgb6,
	WIN32_property_rgb4,
	WIN32_property_rgb4v,
	WIN32_property_rgb3,
	WIN32_property_rgbtiny,
	WIN32_property_sharp,
	WIN32_property_defaultgame,
	WIN32_property_sheeterror,
	WIN32_property_sheeterrortitle,
	WIN32_property_sound,
	WIN32_property_verthz,
	WIN32_property_horzhz,
	WIN32_property_colors,
	WIN32_property_rommissing,
	WIN32_property_notworking,
	WIN32_property_colorwrong,
	WIN32_property_imperfectcolor,
	WIN32_property_working,
	WIN32_property_unknown,
	WIN32_property_globaloptions,
	WIN32_property_auto,
	WIN32_property_everyframe,
	WIN32_property_frameskip,
	WIN32_property_clockwise,
	WIN32_property_anticlockwise,
	WIN32_property_bits,
	WIN32_property_standardBIOS,
	WIN32_property_debugBIOS,
	WIN32_property_size1x,
	WIN32_property_size2x,
	WIN32_property_sizemax,
	WIN32_property_degrees,
	WIN32_property_artres_auto,
	WIN32_property_artres_standard,
	WIN32_property_artres_high,

	/* palette */
	WIN32_palette_font_blank,
	WIN32_palette_font_normal,
	WIN32_palette_font_dark,
	WIN32_palette_font_special,
	WIN32_palette_system_background,
	WIN32_palette_system_framemedium,
	WIN32_palette_system_framelight,
	WIN32_palette_system_framedark,
	WIN32_palette_osdbar_framemedium,
	WIN32_palette_osdbar_framelight,
	WIN32_palette_osdbar_framedark,
	WIN32_palette_osdbar_defaultbar,
	WIN32_palette_titlebar_left,
	WIN32_palette_titlebar_right,
	WIN32_palette_button_red,
	WIN32_palette_button_yellow,
	WIN32_palette_button_green,
	WIN32_palette_button_blue,
	WIN32_palette_button_purple,
	WIN32_palette_button_pink,
	WIN32_palette_button_aqua,
	WIN32_palette_cursor,
	WIN32_palette_alt_background,
	WIN32_palette_volume_lightred,
	WIN32_palette_volume_lightyellow,
	WIN32_palette_volume_lightgreen,
	WIN32_palette_volume_darkred,
	WIN32_palette_volume_darkyellow,
	WIN32_palette_volume_darkgreen,
	WIN32_palette_volume_movebar,
	WIN32_palette_jukebox_background,

	/* TreeView.c */
	WIN32_folder_allgames,
	WIN32_folder_available,
#if 0
	WIN32_folder_unavailable,
#endif
	WIN32_folder_neogeo,
	WIN32_folder_cps1,
	WIN32_folder_cps2,
	WIN32_folder_manufacturer,
	WIN32_folder_year,
	WIN32_folder_genre,
	WIN32_folder_working,
	WIN32_folder_nonworking,
	WIN32_folder_custom,
	WIN32_folder_played,
	WIN32_folder_favorite,
	WIN32_folder_original,
	WIN32_folder_clones,
	WIN32_folder_jukebox,
	WIN32_folder_trackball,
	WIN32_folder_stereo,
	WIN32_reset01,
	WIN32_reset02,
	WIN32_reset03,
	WIN32_reset04,
	WIN32_reset05,
	WIN32_resettitle,
	WIN32_treeview_unknown,
	WIN32_treeview_filter,

	/* audit32.c */
	WIN32_audit_checkgame,
	WIN32_audit_fileaudit,
	WIN32_audit_pause,
	WIN32_audit_continue,
	WIN32_audit_nonerequired,
	WIN32_audit_passed,
	WIN32_audit_bestavailable,
	WIN32_audit_notfound,
	WIN32_audit_failed,

	/* mzip.c */
	WIN32_zipwarning01,
	WIN32_zipwarning02,
	WIN32_zipwarning03,
	WIN32_zipwarning04,
	WIN32_zipwarning05,
	WIN32_zipwarning06,
	WIN32_zipwarning07,
	WIN32_zipwarningtitle,

	/* options.c */
	WIN32_options_oldinfo01,
	WIN32_options_oldinfo02,
	WIN32_options_oldinfo03,
	WIN32_options_oldinfo04,
	WIN32_options_oldinfo05,
	WIN32_options_oldinfotitle,

	WIN32_last_entry
};

const char *win32_getstring (int string_num);
void connect_strings (char *buf, int string_num_start, int string_num_end);

#endif

